Bug 1488590 - Rename katello-backup, katello-restore, and katello-change-hostname as satellite-* tools
Summary: Rename katello-backup, katello-restore, and katello-change-hostname as satell...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Backup & Restore
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Jan Hutař
URL:
Whiteboard:
: 1482135 (view as bug list)
Depends On: 1482164
Blocks: 1376968 1482166
TreeView+ depends on / blocked
 
Reported: 2017-09-05 19:10 UTC by John Mitsch
Modified: 2019-09-25 21:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:04:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20821 0 None None None 2017-09-05 19:10:36 UTC

Description John Mitsch 2017-09-05 19:10:35 UTC
We can break out katello-change-hostname, katello-restore, and katello-backup into classes and that will make it easier for use to test and update names on backports.

Comment 1 John Mitsch 2017-09-05 19:10:38 UTC
Created from redmine issue http://projects.theforeman.org/issues/20821

Comment 2 John Mitsch 2017-09-05 19:10:41 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 4 John Mitsch 2017-09-19 15:51:17 UTC
*** Bug 1482135 has been marked as a duplicate of this bug. ***

Comment 5 Peter Ondrejka 2017-10-16 09:44:30 UTC
Working on related bugs https://bugzilla.redhat.com/show_bug.cgi?id=1497957
https://bugzilla.redhat.com/show_bug.cgi?id=1482168 I found all tree scripts fail with missing ruby scripts, e.g.:

~]# katello-change-hostname -h

DEPRECATION WARNING: katello-change-hostname is deprecated and will
be removed in the next Satellite release. It is being replaced by
satellite-change-hostname. Redirecting to satellite-change-hostname now.

/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- /usr/sbin/hostname-change.rb (LoadError)
	from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
	from /usr/sbin/satellite-change-hostname:10:in `<main>'


Also, about the DEPRECATION WARNING, are we really going to remove the thing in next release, why? Redirect is in place, I don't see any risk in keeping the legacy option functional. Also, is there a documentation bug about this change?

Comment 8 Peter Ondrejka 2017-10-17 09:30:06 UTC
docs bug created https://bugzilla.redhat.com/show_bug.cgi?id=1503054

Comment 10 Bryan Kearney 2018-02-21 17:04:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.